## org.eclipse.datatools.connectivity.ui.dse.views
Class DataSourceExplorerView

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.ViewPart
                  org.eclipse.ui.navigator.CommonNavigator
                      org.eclipse.datatools.connectivity.ui.dse.views.DataSourceExplorerView

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.help.IContextProvider, org.eclipse.ui.IPersistable, org.eclipse.ui.ISaveablePart, org.eclipse.ui.ISaveablesSource, org.eclipse.ui.IViewPart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.ISetSelectionTarget, org.eclipse.ui.part.IShowInTarget, org.eclipse.ui.part.IWorkbenchPartOrientation

    public class DataSourceExplorerView

extends org.eclipse.ui.navigator.CommonNavigator
implements org.eclipse.help.IContextProvider

Field Summary

Fields inherited from class org.eclipse.ui.navigator.CommonNavigator
`IS_LINKING_ENABLED_PROPERTY`

Fields inherited from interface org.eclipse.help.IContextProvider
`NONE, SELECTION`

Fields inherited from interface org.eclipse.ui.ISaveablePart
`PROP_DIRTY`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`DataSourceExplorerView()` Constructor

Method Summary
`void` `createPartControl(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.help.IContext` `getContext(java.lang.Object target)`
`int` `getContextChangeMask()`
`java.lang.String` `getSearchExpression(java.lang.Object target)`

Methods inherited from class org.eclipse.ui.navigator.CommonNavigator
`dispose, doSave, doSaveAs, getActiveSaveables, getAdapter, getCommonViewer, getNavigatorActionService, getNavigatorContentService, getSaveables, init, isDirty, isLinkingEnabled, isSaveAsAllowed, isSaveOnCloseNeeded, saveState, selectReveal, setFocus, setLinkingEnabled, show`

Methods inherited from class org.eclipse.ui.part.ViewPart
`getViewSite, init, setInitializationData`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPartPropertyListener, addPropertyListener, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

Constructor Detail

### DataSourceExplorerView

    public DataSourceExplorerView()

  Constructor

Method Detail

### getContext

    public org.eclipse.help.IContext getContext(java.lang.Object target)

  Specified by:
    `getContext` in interface `org.eclipse.help.IContextProvider`

### getContextChangeMask

    public int getContextChangeMask()

  Specified by:
    `getContextChangeMask` in interface `org.eclipse.help.IContextProvider`

### getSearchExpression

    public java.lang.String getSearchExpression(java.lang.Object target)

  Specified by:
    `getSearchExpression` in interface `org.eclipse.help.IContextProvider`

### createPartControl

    public void createPartControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createPartControl` in interface `org.eclipse.ui.IWorkbenchPart`
  Overrides:
    `createPartControl` in class `org.eclipse.ui.navigator.CommonNavigator`